| FlatBuffers An open source project by FPL.

Public Member Functions | List of all members
flatbuffers::String Struct Reference
Inheritance diagram for flatbuffers::String:

## Public Member Functions
const char * | c_str () const
bool | operator< (const String &o) const
std::string | str () const
flatbuffers::string_view | string_view () const
Public Member Functions inherited from flatbuffers::Vector< char >
iterator | begin ()
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
const_reverse_iterator | crbegin () const
const_reverse_iterator | crend () const
uint8_t * | Data ()
char * | data ()
const uint8_t * | Data () const
const char * | data () const
iterator | end ()
const_iterator | end () const
| FLATBUFFERS_ATTRIBUTE (deprecated("use size() instead")) uoffset_t Length() const
return_type | Get (uoffset_t i) const
const U * | GetAs (uoffset_t i) const
const String * | GetAsString (uoffset_t i) const
E | GetEnum (uoffset_t i) const
mutable_return_type | GetMutableObject (uoffset_t i) const
const void * | GetStructFromOffset (size_t o) const
return_type | LookupByKey (K key) const
void | Mutate (uoffset_t i, const char &val)
void | MutateOffset (uoffset_t i, const uint8_t *val)
return_type | operator[] (uoffset_t i) const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
uoffset_t | size () const

## Additional Inherited Members
Public Types inherited from flatbuffers::Vector< char >
typedef VectorIterator< char, typename IndirectHelper< char >::return_type > | const_iterator
typedef VectorReverseIterator< const_iterator > | const_reverse_iterator
typedef VectorIterator< char, typename IndirectHelper< char >::mutable_return_type > | iterator
typedef IndirectHelper< char >::mutable_return_type | mutable_return_type
typedef IndirectHelper< char >::return_type | return_type
typedef VectorReverseIterator< iterator > | reverse_iterator
Protected Attributes inherited from flatbuffers::Vector< char >
uoffset_t | length_

The documentation for this struct was generated from the following file:

- flatbuffers.h